Last Comment Bug 759219 - need exposedProps on injected objects
: need exposedProps on injected objects
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: unspecified
: x86 Mac OS X
: -- blocker (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 762569
  Show dependency treegraph
 
Reported: 2012-05-28 16:48 PDT by Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16]
Modified: 2012-06-13 14:17 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
silence all __exposedProps__ warnings (2.64 KB, patch)
2012-06-10 21:06 PDT, Mark Hammond [:markh]
mixedpuppy: review+
Details | Diff | Review

Description Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16] 2012-05-28 16:48:08 PDT
Timestamp: 5/28/2012 4:45:26 PM
Warning: Exposing chrome JS objects to content without __exposedProps__ is insecure and deprecated. See https://developer.mozilla.org/en/XPConnect_wrappers for more information.
Source File: <injected port handling code>
Line: 7
Comment 1 Mark Hammond [:markh] 2012-06-10 21:06:11 PDT
Created attachment 631799 [details] [diff] [review]
silence all __exposedProps__ warnings

This touched more than I expected, but every one of these changes is needed to end up with zero warnings when running amigo and the test suite.
Comment 2 Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16] 2012-06-13 14:17:01 PDT
Comment on attachment 631799 [details] [diff] [review]
silence all __exposedProps__ warnings

pushed to develop on github

https://github.com/mozilla/socialapi-dev/commit/8cf4fbc7d84fd176e04a5a7bc68a713974db57f9

Note You need to log in before you can comment on or make changes to this bug.